Skip to main content
`Ctrl`+`K`

# PetscHMapObj

Hash table map with a key of PetscInt64

## Synopsis

    typedef struct _PetscHashObj PetscHMapObj;

## Synopsis

    typedef khash_t(HMapObj) *PetscHMapObj;

## See Also

`PETSC_HASH_MAP()`, `PetscHMapObjCreate()`, `PETSC_HASH_SET()`, `PetscHSetObjCreate()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages